petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSectionClone

Creates a shallow (if possible) copy of the PetscSection

### Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionClone(PetscSection section, PetscSection *newSection)

Collective

### Input Parameter

section -the PetscSection

### Output Parameter

newSection -the copy

### See Also

PetscSection, PetscSectionCreate(), PetscSectionDestroy()

### Level

beginner

### Location

src/vec/is/section/interface/section.c
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages